Bug 997107 - nova image-create doesn't exit with nonzero when failed to upload to swift
nova image-create doesn't exit with nonzero when failed to upload to swift
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novaclient (Show other bugs)
3.0
x86_64 Linux
high Severity medium
: ---
: 6.0 (Juno)
Assigned To: Jakub Ruzicka
Jaroslav Henner
: Automation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 12:59 EDT by Jaroslav Henner
Modified: 2016-04-26 13:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 10:06:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Henner 2013-08-14 12:59:17 EDT
Created attachment 786618 [details]
client debug

Description of problem:
When snapshot creation fails somewhere in the middle of creating the snapshot, glance 4 polling mode exits with status 0.

Version-Release number of selected component (if applicable):
openstack-glance-2013.1.2-1.el6ost.noarch

How reproducible:
1/10

Steps to Reproduce:
It is not easy to reproduce, what I did was:

1. nova --debug image-create --poll '4b1317d3-71b5-4f4a-8ea5-b2e2f529da43' 'mirage_rhel-6.4-preinstalled'
2. There was some error when glance was saving data to swift.
3.

Actual results:
echo $?
0

Expected results:
echo $?
non-zero

Additional info:
Comment 4 Jaroslav Henner 2014-04-22 05:58:26 EDT
The problem when saving trough glance to swift should probably be reproducible by changing the node_timeout in /etc/swift/proxy-server.conf to some low value, like 1.
Comment 5 Flavio Percoco 2014-05-23 01:45:55 EDT
This sounds more like a novaclient error than a glanceclient error (assuming glanceclient is raising an exception)
Comment 6 Jaroslav Henner 2014-05-23 02:02:29 EDT
Yeah maybe I was mistaken by seeing the word "glance" in the traceback.
Comment 7 Sahid Ferdjaoui 2015-12-16 10:06:13 EST
This issue has been reported on a EOL version of OSP and do not get any activities. Please feel fre to reopen whether that issue is still happening on current releases.

Thanks,
s.

Note You need to log in before you can comment on or make changes to this bug.